package com.goldenwater.slaj.sins.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.sins.mapper.ObjSinsMapper;
import com.goldenwater.slaj.sins.domain.ObjSins;
import com.goldenwater.slaj.sins.service.IObjSinsService;

@Service
public class ObjSinsServiceImpl implements IObjSinsService {
    @Autowired
    private ObjSinsMapper objSinsMapper;

    @Override
    public ObjSins selectObjSinsByGuid(String guid) { return objSinsMapper.selectObjSinsByGuid(guid); }
    @Override
    public List<ObjSins> selectObjSinsList(ObjSins objSins) { return objSinsMapper.selectObjSinsList(objSins); }
    @Override
    public int insertObjSins(ObjSins objSins) { return objSinsMapper.insertObjSins(objSins); }
    @Override
    public int updateObjSins(ObjSins objSins) { return objSinsMapper.updateObjSins(objSins); }
    @Override
    public int deleteObjSinsByGuid(String guid) { return objSinsMapper.deleteObjSinsByGuid(guid); }
    @Override
    public int deleteObjSinsByGuids(String[] guids) { return objSinsMapper.deleteObjSinsByGuids(guids); }
}
